EDGE or CYCLO DS Evolution (depends on the comp list)

Discussion in 'NDS - Flashcarts and Accessories' started by gurtifus, Mar 2, 2009.

  1. gurtifus
    OP

    gurtifus Member

    Newcomer
    10
    0
    Aug 26, 2008
    France
    Hi all,

    I want to change my M3 Real for a Cyclo DS Evo or an Edge.
    I want the best compatible card.

    For example :
    I heard that Dragon Quest V works on EDGE without patching the rom or using the "Anti-piracy bypass cheat".
    But is it the same for Cyclo DS ? Someone can tell me if DQV works without patching or using the cheat ?

    Which is the best for commercial roms ? Which runs more commercial roms without any problems ?

    Thanks for your help.

    Gurtifus
     
  2. Sstew

    Sstew GBAtemp's Grim Reaper.

    Member
    1,463
    1
    Jul 15, 2008
    United States
    Florida
    IF you have the money get the Cyclo, if your short on cash get the EDGE
    I prefer the Cyclo ROM compatibility is great. Updated frequently, Great staff, and hopefully a GUI update soon
     
  3. NightWalker186

    NightWalker186 Member

    Newcomer
    27
    0
    Nov 4, 2008
    United States
    Pineville, LA
    If I were you, I'd def. go with the CycloDS Evo. I have yet to come across a ROM that doesn't work, and do have a lot. And the anwser to your question is YES DQ-V Works perfectly fine on it also. Not to mention most of the homebrew I've put on my cyclo has worked also. Fire Emblem does too. [​IMG]
     
  4. NightWalker186

    NightWalker186 Member

    Newcomer
    27
    0
    Nov 4, 2008
    United States
    Pineville, LA
    AND Full D/L Play and Wi-fi works with all roms as well [​IMG]
     
  5. Splych

    Splych GBAtemp's Lurker

    Member
    2,953
    5
    May 19, 2008
    Canada, Ontario.
    Well, to be honest, I wouldn't go with CycloDS Evolution if you don't have the money or if you aren't using the extra features. Those extra features include: RealTimeSave, RealTimeGuide, Wii - DS Connection etc.

    There is also... AceKard 2.1. It has very good compatibility (none so far) and it has an alternative firmware which is also very good. I haven't had any problems with it yet, so I would recommend it.

    I know it was off topic, but go with the EDGE if you aren't going to use the CycloDS's extra features and/or you don't have the extra cash. Go with the CycloDS if you are going to use the extra features and/or have the extra cash.

    ==

    I know it is mini modding but I can't stop to say this but... Use the EDIT BUTTON~! Don't double post, it just increases you post count for no reason, and the difference block was only 2 minutes too...
     
  6. taken

    taken GBAtemp Advanced Fan

    Member
    520
    2
    Dec 23, 2008
    United Kingdom
    Go with the cyclo ds.

    By the way starwars clone wars doesn't work with the cyclo ds evo or the edge card even with their firmware update.
     
  7. Splych

    Splych GBAtemp's Lurker

    Member
    2,953
    5
    May 19, 2008
    Canada, Ontario.
    Leme try it with the AceKard 2.1 and will give you feed back if it does work. And it is the StarWars CloneWars: Jedi Alliance right?
     
  8. XRacer101

    XRacer101 Advanced Member

    Newcomer
    80
    0
    Feb 6, 2009
    Canada
    Ontario
    Go with the CycloDS Evolution. It is the best cart out there.
     
  9. Advi

    Advi GBAtemp Maniac

    Member
    1,143
    5
    Jan 26, 2009
    United States
    acekard2 is AWESOME.............if you don't need those other features like In-game guide then it will more than suit your needs.
     
  10. gurtifus
    OP

    gurtifus Member

    Newcomer
    10
    0
    Aug 26, 2008
    France
    Ok guys, thanks for all your advice.

    But just a question, what's the In-game guide option ?


    Gurtifus
     
  11. Eon-Rider

    Eon-Rider GBAtemp Maniac

    Member
    1,021
    15
    Jun 15, 2008
    It's exactly as it sounds. Find a guide in text format, put it onto your MicroSD and you'll be able to read it with this feature. It's quite helpful with certain games (especially Phoenix Wright).
     
  12. Splych

    Splych GBAtemp's Lurker

    Member
    2,953
    5
    May 19, 2008
    Canada, Ontario.
    Just so you know, the AceKard 2.1 /w AKAIO v1.14 Firmware does load StarWars CloneWars: Jedi Alliance. I think this just shows that the AceKard has better compatibility then the CycloDS or EDGE.

    So far, no problems. So Gurtifus, if you don't need any of those extra features like In-Game Guide, go with the AceKard 2.1 and then use AKAIO firmware. Best one out there...
     
  13. hvyarms13

    hvyarms13 Newbie

    Newcomer
    8
    0
    Mar 4, 2009
    United States
    Stockton
    I got StarWars CloneWars: Jedi Alliance to work on the DS with my cyclo evolution. I dont play this just wanted to see if it work so i got it a couple of minutes ago and it seem fine to me. I played it for awhile and everything ok

    v1.54B2
     
  14. Splych

    Splych GBAtemp's Lurker

    Member
    2,953
    5
    May 19, 2008
    Canada, Ontario.
    I think it might be because he doesn't like the GUI/OS.

    I think he should just try the Sakura firmware. Unless he already has, or his M3Real just doesn't have the best compatibility.
     
  15. adjcn

    adjcn Member

    Newcomer
    44
    0
    Jun 20, 2007
    Brazil
    Brazil
    Go with the CycloDS Evolution.
     
  16. taken

    taken GBAtemp Advanced Fan

    Member
    520
    2
    Dec 23, 2008
    United Kingdom
    yes
     
  17. Splych

    Splych GBAtemp's Lurker

    Member
    2,953
    5
    May 19, 2008
    Canada, Ontario.
    Tested, and works perfectly for me. Using an AceKard 2.1 (/w a Black PCB) and AKAIO 1.14 Firmware.
     
  18. blanco613

    blanco613 GBAtemp Regular

    Member
    150
    0
    Sep 28, 2008
    United States
    usa
    cyclo no question. the edge is just a cyclo clone
     
  19. purplesludge

    purplesludge anyone have any ideas for this space

    Member
    1,047
    23
    Mar 2, 2009
    United States
    wv
    I've owned an m3real and currently have a cyclo and much prefer it over the m3real.